Bug 51046 - Expose AccessibilityObject::url() to Chromium
Summary: Expose AccessibilityObject::url() to Chromium
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Accessibility (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-12-14 10:43 PST by Chris Guillory
Modified: 2010-12-16 15:37 PST (History)
5 users (show)

See Also:


Attachments
Proposed Patch (1.75 KB, patch)
2010-12-14 11:59 PST, Chris Guillory
fishd: review-
fishd: commit-queue-
Details | Formatted Diff | Diff
Patch (2.02 KB, patch)
2010-12-14 23:18 PST, Chris Guillory
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Guillory 2010-12-14 10:43:49 PST
During a chromium code review we determined that we needed access to the url of link accessibility objects.
http://codereview.chromium.org/5751002/
Comment 1 Chris Guillory 2010-12-14 11:59:30 PST
Created attachment 76552 [details]
Proposed Patch
Comment 2 Chris Guillory 2010-12-14 12:00:16 PST
WebKit API change.
Comment 3 Darin Fisher (:fishd, Google) 2010-12-14 20:49:36 PST
Comment on attachment 76552 [details]
Proposed Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=76552&action=review

> WebKit/chromium/public/WebAccessibilityObject.h:113
> +    WEBKIT_API WebString url() const;

nit: we ordinarily expose urls using WebURL.  it looks like m_private->url() is a KURL object.  (KURL can be implicitly converted to WebURL.)
Comment 4 Chris Guillory 2010-12-14 23:18:07 PST
Created attachment 76633 [details]
Patch

Returning as WebURL.
Comment 5 WebKit Commit Bot 2010-12-15 16:45:08 PST
The commit-queue encountered the following flaky tests while processing attachment 76633 [details]:

animations/combo-transform-translate+scale.html bug 50958 (authors: cmarrin@apple.com, darin@apple.com, ojan@chromium.org, and pol@apple.com)
fast/preloader/script.html bug 50879 (author: abarth@webkit.org)
The commit-queue is continuing to process your patch.
Comment 6 WebKit Commit Bot 2010-12-15 19:32:00 PST
Comment on attachment 76633 [details]
Patch

Clearing flags on attachment: 76633

Committed r74171: <http://trac.webkit.org/changeset/74171>
Comment 7 WebKit Commit Bot 2010-12-15 19:32:06 PST
All reviewed patches have been landed.  Closing bug.
Comment 8 WebKit Review Bot 2010-12-16 15:37:53 PST
http://trac.webkit.org/changeset/74171 might have broken Leopard Intel Debug (Tests)